Bug 31897 - Add SVG animation test framework with 'snapshot' functionality
Summary: Add SVG animation test framework with 'snapshot' functionality
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nikolas Zimmermann
URL:
Keywords:
Depends on:
Blocks: 12437
  Show dependency treegraph
 
Reported: 2009-11-25 19:34 PST by Nikolas Zimmermann
Modified: 2009-12-01 16:42 PST (History)
7 users (show)

See Also:


Attachments
Initial patch (50.28 KB, patch)
2009-11-25 20:22 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff
Updated patch (49.82 KB, patch)
2009-11-25 20:29 PST, Nikolas Zimmermann
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolas Zimmermann 2009-11-25 19:34:55 PST
This bug tracks the implementation of a SVG animation test framework with 'snapshot' functionality.
It would be great if we could just move to certain times in the SVG timeline, let it render it and be able to sample the values.

This is absolutely needed to be able to test the upcoming animVal support, otherwhise we wouldn't have any suitable testing abilities
(setTimeout() based methods are not accurate enough, to do the sampling reliable)
Comment 1 Eric Seidel (no email) 2009-11-25 19:46:24 PST
Agreed!
Comment 2 Nikolas Zimmermann 2009-11-25 20:22:28 PST
Created attachment 43891 [details]
Initial patch

First version of the patch, please especially check the non-mac parts (qt/win/gtk, for typos etc.) Doesn't affect any existing layout test.
Comment 3 Nikolas Zimmermann 2009-11-25 20:29:33 PST
Created attachment 43892 [details]
Updated patch

Oops, the upload version contained several typos in the ChangeLog and some tabs. Fixed that.
Comment 4 Adam Barth 2009-11-30 12:42:28 PST
Attachment 43892 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Done processing WebKitTools/DumpRenderTree/wx/LayoutTestControllerWx.cpp
WebKit/gtk/webkit/webkitwebframe.cpp:57:  Alphabetical sorting problem.  [build/include_order] [4]
Done processing WebKit/gtk/webkit/webkitwebframe.cpp
WebKit/qt/Api/qwebframe.cpp:59:  Alphabetical sorting problem.  [build/include_order] [4]
Done processing WebKit/qt/Api/qwebframe.cpp
Done processing WebKit/mac/WebView/WebFramePrivate.h
Done processing WebCore/svg/SVGDocumentExtensions.h
Done processing WebKitTools/DumpRenderTree/win/LayoutTestControllerWin.cpp
Done processing WebKitTools/DumpRenderTree/qt/LayoutTestControllerQt.h
Done processing WebKitTools/DumpRenderTree/qt/LayoutTestControllerQt.cpp
Done processing WebCore/svg/animation/SMILTimeContainer.h
Done processing WebCore/svg/SVGDocumentExtensions.cpp
Done processing WebKit/win/WebFrame.h
Done processing WebKitTools/DumpRenderTree/gtk/LayoutTestControllerGtk.cpp
Done processing WebKit/gtk/webkit/webkitprivate.h
Done processing WebKitTools/DumpRenderTree/LayoutTestController.h
WebKit/win/WebFrame.cpp:95:  Alphabetical sorting problem.  [build/include_order] [4]
Done processing WebKit/win/WebFrame.cpp
Done processing WebCore/svg/animation/SMILTimeContainer.cpp
Done processing WebKitTools/DumpRenderTree/LayoutTestController.cpp
Total errors found: 3
Comment 5 Nikolas Zimmermann 2009-12-01 16:42:07 PST
Comment on attachment 43892 [details]
Updated patch

Clearing flags on attachment: 43892

Committed r51567: <http://trac.webkit.org/changeset/51567>
Comment 6 Nikolas Zimmermann 2009-12-01 16:42:20 PST
All reviewed patches have been landed.  Closing bug.